/*
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License.
 *  
 * You may obtain a copy of the License at 
 * 	http://www.apache.org/licenses/LICENSE-2.0 
 * 
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */

package org.appspy.server.xml;

/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
public class XmlReportParam {

	protected String mName;
	protected boolean mAsk = true;
	protected String mPrompt;
	protected String mDefault;
	protected String mChooser;
	/**
	 * @return the name
	 */
	public String getName() {
		return mName;
	}
	/**
	 * @param name the name to set
	 */
	public void setName(String name) {
		mName = name;
	}
	/**
	 * @return the ask
	 */
	public boolean isAsk() {
		return mAsk;
	}
	/**
	 * @param ask the ask to set
	 */
	public void setAsk(boolean ask) {
		mAsk = ask;
	}
	/**
	 * @return the prompt
	 */
	public String getPrompt() {
		return mPrompt;
	}
	/**
	 * @param prompt the prompt to set
	 */
	public void setPrompt(String prompt) {
		mPrompt = prompt;
	}
	/**
	 * @return the default
	 */
	public String getDefault() {
		return mDefault;
	}
	/**
	 * @param default1 the default to set
	 */
	public void setDefault(String default1) {
		mDefault = default1;
	}
	/**
	 * @return the chooser
	 */
	public String getChooser() {
		return mChooser;
	}
	/**
	 * @param chooser the chooser to set
	 */
	public void setChooser(String chooser) {
		mChooser = chooser;
	}
}
