/**
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 *
 * You may obtain a copy of the License at 
 *     http://www.apache.org/licenses/LICENSE-2.0 
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */
package org.appspy.server.xml;

import java.util.ArrayList;
import java.util.List;


/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
public class XmlDashboardColumn
{
	protected Integer mIndex;
	protected Integer mWidth;
	protected List<XmlDashboardReport> mDashboardReports = new ArrayList<XmlDashboardReport>();
	/**
     * @return the index
     */
    public Integer getIndex()
    {
    	return mIndex;
    }
	/**
     * @param index the index to set
     */
    public void setIndex(Integer index)
    {
    	mIndex = index;
    }
	/**
     * @return the width
     */
    public Integer getWidth()
    {
    	return mWidth;
    }
	/**
     * @param width the width to set
     */
    public void setWidth(Integer width)
    {
    	mWidth = width;
    }
	/**
     * @return the dashboardReports
     */
    public List<XmlDashboardReport> getDashboardReports()
    {
    	return mDashboardReports;
    }
	/**
     * @param dashboardReports the dashboardReports to set
     */
    public void setDashboardReports(List<XmlDashboardReport> dashboardReports)
    {
    	mDashboardReports = dashboardReports;
    }
}
