/*
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License.
 *  
 * You may obtain a copy of the License at 
 * 	http://www.apache.org/licenses/LICENSE-2.0 
 * 
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */

package org.appspy.server.xml;

import java.util.ArrayList;
import java.util.List;


/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
public class XmlReport {

	protected String mName;
	protected String mReportingSystem;
	protected String mReportCategoryName;
	protected String mReportContentPath;
	protected List<XmlReportParam> mReportParams = new ArrayList<XmlReportParam>();
	/**
	 * @return the name
	 */
	public String getName() {
		return mName;
	}
	/**
	 * @param name the name to set
	 */
	public void setName(String name) {
		mName = name;
	}
	/**
	 * @return the reportingSystem
	 */
	public String getReportingSystem() {
		return mReportingSystem;
	}
	/**
	 * @param reportingSystem the reportingSystem to set
	 */
	public void setReportingSystem(String reportingSystem) {
		mReportingSystem = reportingSystem;
	}
	/**
	 * @return the reportCategoryName
	 */
	public String getReportCategoryName() {
		return mReportCategoryName;
	}
	/**
	 * @param reportCategoryName the reportCategoryName to set
	 */
	public void setReportCategoryName(String reportCategoryName) {
		mReportCategoryName = reportCategoryName;
	}
	/**
	 * @return the reportParams
	 */
	public List<XmlReportParam> getReportParams() {
		return mReportParams;
	}
	/**
	 * @param reportParams the reportParams to set
	 */
	public void setReportParams(List<XmlReportParam> reportParams) {
		mReportParams = reportParams;
	}
	/**
	 * @return the reportContentPath
	 */
	public String getReportContentPath() {
		return mReportContentPath;
	}
	/**
	 * @param reportContentPath the reportContentPath to set
	 */
	public void setReportContentPath(String reportContentPath) {
		mReportContentPath = reportContentPath;
	}

	
}
