/*
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */

package org.appspy.server.xml;


/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
public class XmlReportDescriptionParam {

	protected String reportDescParamName;
	
	protected String reportDescParamType;
	
	protected Boolean reportDescParamBuildIn;

	/**
	 * @return the reportDescParamName
	 */
	public String getReportDescParamName() {
		return reportDescParamName;
	}

	/**
	 * @param reportDescParamName the reportDescParamName to set
	 */
	public void setReportDescParamName(String reportDescParamName) {
		this.reportDescParamName = reportDescParamName;
	}

	/**
	 * @return the reportDescParamType
	 */
	public String getReportDescParamType() {
		return reportDescParamType;
	}

	/**
	 * @param reportDescParamType the reportDescParamType to set
	 */
	public void setReportDescParamType(String reportDescParamType) {
		this.reportDescParamType = reportDescParamType;
	}

	/**
	 * @return the reportDescParamBuildIn
	 */
	public Boolean getReportDescParamBuildIn() {
		return reportDescParamBuildIn;
	}

	/**
	 * @param reportDescParamBuildIn the reportDescParamBuildIn to set
	 */
	public void setReportDescParamBuildIn(Boolean reportDescParamBuildIn) {
		this.reportDescParamBuildIn = reportDescParamBuildIn;
	}

	
}
